## org.eclipse.jst.pagedesigner.dtmanager.dtinfo
Interface Operation

    public interface Operation

A representation of the model object 'Operation'.

Provisional API - subject to change

The following features are supported:

- `Id`
- `Parameters`
- `Operations`

See Also:
  `DTInfoPackage.getOperation()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`EList` `getOperations()` Returns the value of the 'Operations' containment reference list.
`EList` `getParameters()` Returns the value of the 'Parameters' containment reference list.
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `DTInfoPackage.getOperation_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`

### getParameters

    EList getParameters()

  Returns the value of the 'Parameters' containment reference list. The list contents are of type `Parameter`.

  If the meaning of the 'Parameters' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parameters' containment reference list.
  See Also:
    `DTInfoPackage.getOperation_Parameters()`

### getOperations

    EList getOperations()

  Returns the value of the 'Operations' containment reference list. The list contents are of type `Operation`.

  If the meaning of the 'Operations' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Operations' containment reference list.
  See Also:
    `DTInfoPackage.getOperation_Operations()`